Subject: Re: man? - solved
From: [email-masked] (Jason Tishler)

6 Feb 1997 15:38:49 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <Pine.OSF.3.91.970206041751.18732B-100000@oracle>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: "Who cares..." <[email-masked]>
Original-CC: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Who cares... wrote:
> well i did what you said i got the following error
> : troff: can't find `DESC' file
> troff: fatal error: sorry, I can't continue

If you are using the following version of troff:

David Shochat wrote:
> I figured out a command that achieves what I was looking for (how to 
> look at man pages), for example:
> 
>  troff -man -Tascii bash.1 | grotty | less
> 
> The groff package I'm using is
> http://www.itribe.net/virtunix/groff-1.10nt.zip

then I can solve your problem.  This version of troff will NOT find
the tmac and font directories unless your current drive is the same as
where it is installed.

The following shell script is a crude man that works for me:

--- begin of man ---
export GROFF_FONT_PATH=/gnu-extras/share/groff/font
export GROFF_TMAC_PATH=/gnu-extras/share/groff/tmac
ROOTDIR=/glenda
MANDIR=/gnu-win32/man/man1

cd $ROOTDIR
troff -man -Tascii $MANDIR/$1.1 | grotty 2>nul:
--- endof man ---

where:
    /glenda is a gnu-win32 style mount where I installed gnu-win32
    /gnu-win32 is the root of my gnu-win32 tree
    /gnu-extras is the root of my troff tree

Hope the above helps.

Jason

-- 
Jason Tishler                        Phone: +1 (212) 989-4455 ext. 120
Box Hill Systems Corporation         Fax:   +1 (212) 989-6817
161 Avenue of the Americas           Email: [email-masked]
New York, NY 10013 USA               WWW:   http://www.boxhill.com
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".